from django.contrib import admin
from django.utils.translation import ugettext_lazy as _
from jumbo.admin.options import ExtendibleModelAdmin, OrderedModelAdmin
from jumbo.forms.models import AdminModelForm
from address.models import AddressScope#, Address
#
#class AddressAdmin(ExtendibleModelAdmin):
#    save_on_top = True
#    list_display = ('get_status_display', 'get_organizations', 'get_scopes', 'address_type', 'name', 'number', 'crossed', 'zip_code', 'locality', 'province', 'country', 'post_office')
#    list_display_links = ('name',)
#    ordering = ('country', 'province', 'locality', 'zip_code', 'name', 'number')
#    list_per_page = 30
#admin.site.register(Address, AddressAdmin)
#
#
class AddressScopeAdmin(ExtendibleModelAdmin):
    save_on_top = True
    fieldsets = (
        (_('logs admin'), {'fields': ('creator', 'date_create','last_modifier', 'date_last_modify',), 'classes': ('collapse',)}),
        (_('visualization admin'), {'fields': ('ordering',), 'classes': ('collapse',),}),
        (_('general admin'), {'fields': ('status', 'name', 'is_invoice_address', 'is_shipping_address')}),
    )
    list_display = ('get_status_display', 'name', 'is_invoice_address', 'is_shipping_address', 'get_edit_icon', 'get_delete_icon')
    list_display_links = ('name',)
    ordering = ('ordering', 'name')
    list_per_page = 30
admin.site.register(AddressScope, AddressScopeAdmin)

