# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from organization.models import *
from address.models import *
from jumbo.db import HackForeignKey
from jumbo.db.models import StatusField, HTMLField

class Migration:
    depends_on = (
        ("l10n", "0001_initial"),
        ("payment", "0001_initial"),
        ("address", "0001_initial"),
    )

    def forwards(self, orm):
        # Adding model 'Vat'
        db.create_table('organization_vat', (
            ('id', orm['organization.Vat:id']),
            ('date_create', orm['organization.Vat:date_create']),
            ('date_last_modify', orm['organization.Vat:date_last_modify']),
            ('status', orm['organization.Vat:status']),
            ('ordering', orm['organization.Vat:ordering']),
            ('creator', orm['organization.Vat:creator']),
            ('last_modifier', orm['organization.Vat:last_modifier']),
            ('code', orm['organization.Vat:code']),
            ('name', orm['organization.Vat:name']),
            ('description', orm['organization.Vat:description']),
            ('aliquot_perc', orm['organization.Vat:aliquot_perc']),
            ('deduct_perc', orm['organization.Vat:deduct_perc']),
        ))
        db.send_create_signal('organization', ['Vat'])
        
        # Adding model 'OrganizationGroup'
        db.create_table('organization_organizationgroup', (
            ('id', orm['organization.OrganizationGroup:id']),
            ('date_create', orm['organization.OrganizationGroup:date_create']),
            ('date_last_modify', orm['organization.OrganizationGroup:date_last_modify']),
            ('status', orm['organization.OrganizationGroup:status']),
            ('ordering', orm['organization.OrganizationGroup:ordering']),
            ('creator', orm['organization.OrganizationGroup:creator']),
            ('last_modifier', orm['organization.OrganizationGroup:last_modifier']),
            ('name', orm['organization.OrganizationGroup:name']),
        ))
        db.send_create_signal('organization', ['OrganizationGroup'])
        
        # Adding model 'OrganizationForm'
        db.create_table('organization_organizationform', (
            ('id', orm['organization.OrganizationForm:id']),
            ('date_create', orm['organization.OrganizationForm:date_create']),
            ('date_last_modify', orm['organization.OrganizationForm:date_last_modify']),
            ('status', orm['organization.OrganizationForm:status']),
            ('ordering', orm['organization.OrganizationForm:ordering']),
            ('creator', orm['organization.OrganizationForm:creator']),
            ('last_modifier', orm['organization.OrganizationForm:last_modifier']),
            ('name', orm['organization.OrganizationForm:name']),
            ('description', orm['organization.OrganizationForm:description']),
        ))
        db.send_create_signal('organization', ['OrganizationForm'])
        
        # Adding model 'Office'
        db.create_table('organization_office', (
            ('id', orm['organization.Office:id']),
            ('date_create', orm['organization.Office:date_create']),
            ('date_last_modify', orm['organization.Office:date_last_modify']),
            ('status', orm['organization.Office:status']),
            ('creator', orm['organization.Office:creator']),
            ('last_modifier', orm['organization.Office:last_modifier']),
            ('code', orm['organization.Office:code']),
            ('name', orm['organization.Office:name']),
            ('description', orm['organization.Office:description']),
            ('phone', orm['organization.Office:phone']),
            ('fax', orm['organization.Office:fax']),
            ('email', orm['organization.Office:email']),
        ))
        db.send_create_signal('organization', ['Office'])
        
        # Adding model 'Bank'
        db.create_table('organization_bank', (
            ('id', orm['organization.Bank:id']),
            ('date_create', orm['organization.Bank:date_create']),
            ('date_last_modify', orm['organization.Bank:date_last_modify']),
            ('status', orm['organization.Bank:status']),
            ('creator', orm['organization.Bank:creator']),
            ('last_modifier', orm['organization.Bank:last_modifier']),
            ('iban', orm['organization.Bank:iban']),
            ('bank_account', orm['organization.Bank:bank_account']),
            ('organization', orm['organization.Bank:organization']),
        ))
        db.send_create_signal('organization', ['Bank'])
        
        # Adding model 'Contact'
        db.create_table('organization_contact', (
            ('id', orm['organization.Contact:id']),
            ('date_create', orm['organization.Contact:date_create']),
            ('date_last_modify', orm['organization.Contact:date_last_modify']),
            ('status', orm['organization.Contact:status']),
            ('creator', orm['organization.Contact:creator']),
            ('last_modifier', orm['organization.Contact:last_modifier']),
            ('user', orm['organization.Contact:user']),
            ('organization', orm['organization.Contact:organization']),
            ('role', orm['organization.Contact:role']),
            ('code', orm['organization.Contact:code']),
            ('last_name', orm['organization.Contact:last_name']),
            ('first_name', orm['organization.Contact:first_name']),
            ('phone', orm['organization.Contact:phone']),
            ('mobile', orm['organization.Contact:mobile']),
            ('fax', orm['organization.Contact:fax']),
            ('email', orm['organization.Contact:email']),
            ('note', orm['organization.Contact:note']),
            ('in_addressbook', orm['organization.Contact:in_addressbook']),
        ))
        db.send_create_signal('organization', ['Contact'])
        
        # Adding model 'Organization'
        db.create_table('organization_organization', (
            ('id', orm['organization.Organization:id']),
            ('date_create', orm['organization.Organization:date_create']),
            ('date_last_modify', orm['organization.Organization:date_last_modify']),
            ('status', orm['organization.Organization:status']),
            ('ordering', orm['organization.Organization:ordering']),
            ('creator', orm['organization.Organization:creator']),
            ('last_modifier', orm['organization.Organization:last_modifier']),
            ('office', orm['organization.Organization:office']),
            ('organization_type', orm['organization.Organization:organization_type']),
            ('organization_form', orm['organization.Organization:organization_form']),
            ('field', orm['organization.Organization:field']),
            ('payment_form', orm['organization.Organization:payment_form']),
            ('vat', orm['organization.Organization:vat']),
            ('code', orm['organization.Organization:code']),
            ('name', orm['organization.Organization:name']),
            ('brand', orm['organization.Organization:brand']),
            ('ssn', orm['organization.Organization:ssn']),
            ('vat_number', orm['organization.Organization:vat_number']),
            ('url', orm['organization.Organization:url']),
            ('email', orm['organization.Organization:email']),
            ('phone', orm['organization.Organization:phone']),
            ('phone2', orm['organization.Organization:phone2']),
            ('fax', orm['organization.Organization:fax']),
            ('note', orm['organization.Organization:note']),
            ('in_addressbook', orm['organization.Organization:in_addressbook']),
        ))
        db.send_create_signal('organization', ['Organization'])
        
        # Adding model 'OrganizationType'
        db.create_table('organization_organizationtype', (
            ('id', orm['organization.OrganizationType:id']),
            ('date_create', orm['organization.OrganizationType:date_create']),
            ('date_last_modify', orm['organization.OrganizationType:date_last_modify']),
            ('status', orm['organization.OrganizationType:status']),
            ('ordering', orm['organization.OrganizationType:ordering']),
            ('creator', orm['organization.OrganizationType:creator']),
            ('last_modifier', orm['organization.OrganizationType:last_modifier']),
            ('code', orm['organization.OrganizationType:code']),
            ('category', orm['organization.OrganizationType:category']),
            ('name', orm['organization.OrganizationType:name']),
            ('description', orm['organization.OrganizationType:description']),
            ('note', orm['organization.OrganizationType:note']),
        ))
        db.send_create_signal('organization', ['OrganizationType'])
        
        # Adding model 'ContactRole'
        db.create_table('organization_contactrole', (
            ('id', orm['organization.ContactRole:id']),
            ('date_create', orm['organization.ContactRole:date_create']),
            ('date_last_modify', orm['organization.ContactRole:date_last_modify']),
            ('status', orm['organization.ContactRole:status']),
            ('ordering', orm['organization.ContactRole:ordering']),
            ('creator', orm['organization.ContactRole:creator']),
            ('last_modifier', orm['organization.ContactRole:last_modifier']),
            ('name', orm['organization.ContactRole:name']),
        ))
        db.send_create_signal('organization', ['ContactRole'])
        
        # Adding model 'OrganizationAddress'
        db.create_table('organization_organizationaddress', (
            ('id', orm['organization.OrganizationAddress:id']),
            ('date_create', orm['organization.OrganizationAddress:date_create']),
            ('date_last_modify', orm['organization.OrganizationAddress:date_last_modify']),
            ('status', orm['organization.OrganizationAddress:status']),
            ('creator', orm['organization.OrganizationAddress:creator']),
            ('last_modifier', orm['organization.OrganizationAddress:last_modifier']),
            ('address_type', orm['organization.OrganizationAddress:address_type']),
            ('name', orm['organization.OrganizationAddress:name']),
            ('number', orm['organization.OrganizationAddress:number']),
            ('crossed', orm['organization.OrganizationAddress:crossed']),
            ('scale', orm['organization.OrganizationAddress:scale']),
            ('floor', orm['organization.OrganizationAddress:floor']),
            ('zip_code', orm['organization.OrganizationAddress:zip_code']),
            ('locality', orm['organization.OrganizationAddress:locality']),
            ('province', orm['organization.OrganizationAddress:province']),
            ('country', orm['organization.OrganizationAddress:country']),
            ('post_office', orm['organization.OrganizationAddress:post_office']),
            ('organization', orm['organization.OrganizationAddress:organization']),
        ))
        db.send_create_signal('organization', ['OrganizationAddress'])
        
        # Adding model 'Field'
        db.create_table('organization_field', (
            ('id', orm['organization.Field:id']),
            ('date_create', orm['organization.Field:date_create']),
            ('date_last_modify', orm['organization.Field:date_last_modify']),
            ('status', orm['organization.Field:status']),
            ('ordering', orm['organization.Field:ordering']),
            ('creator', orm['organization.Field:creator']),
            ('last_modifier', orm['organization.Field:last_modifier']),
            ('name', orm['organization.Field:name']),
        ))
        db.send_create_signal('organization', ['Field'])

        # Adding ManyToManyField 'OrganizationAddress.address_scopes'
        db.create_table('organization_organizationaddress_address_scopes', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('organizationaddress', models.ForeignKey(OrganizationAddress, null=False)),
            ('addressscope', models.ForeignKey(AddressScope, null=False))
        ))
        
        # Adding ManyToManyField 'Organization.organization_group'
        db.create_table('organization_organization_organization_group', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('organization', models.ForeignKey(Organization, null=False)),
            ('organizationgroup', models.ForeignKey(OrganizationGroup, null=False))
        ))

        # Creating unique_together for [vat_number, ssn] on Organization.
        db.create_unique('organization_organization', ['vat_number', 'ssn'])

    def backwards(self, orm):
        
        # Deleting unique_together for [vat_number, ssn] on Organization.
        db.delete_unique('organization_organization', ['vat_number', 'ssn'])
        
        # Deleting model 'Vat'
        db.delete_table('organization_vat')
        
        # Deleting model 'OrganizationGroup'
        db.delete_table('organization_organizationgroup')
        
        # Deleting model 'OrganizationForm'
        db.delete_table('organization_organizationform')
        
        # Deleting model 'Office'
        db.delete_table('organization_office')
        
        # Deleting model 'Bank'
        db.delete_table('organization_bank')
        
        # Deleting model 'Contact'
        db.delete_table('organization_contact')
        
        # Deleting model 'Organization'
        db.delete_table('organization_organization')
        
        # Deleting model 'OrganizationType'
        db.delete_table('organization_organizationtype')
        
        # Deleting model 'ContactRole'
        db.delete_table('organization_contactrole')
        
        # Deleting model 'OrganizationAddress'
        db.delete_table('organization_organizationaddress')

        # Dropping ManyToManyField 'OrganizationAddress.address_scopes'
        db.delete_table('organization_organizationaddress_address_scopes')

        # Dropping ManyToManyField 'Organization.organization_group'
        db.delete_table('organization_organization_organization_group')

        # Deleting model 'Field'
        db.delete_table('organization_field')
        
    
    
    models = {
        'address.addressscope': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'l10n.country': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'admin_area': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'continent': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iso2_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '2', 'db_index': 'True'}),
            'iso3_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'numcode': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printable_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'})
        },
        'organization.bank': {
            'bank_account': ('django.db.models.fields.CharField', [], {'max_length': '12', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'iban': ('django.db.models.fields.CharField', [], {'max_length': '30', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'banks'", 'to': "orm['organization.Organization']"}),
            'status': ('StatusField', [], {})
        },
        'organization.contact': {
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': "orm['organization.Organization']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.ContactRole']"}),
            'status': ('StatusField', [], {}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': "orm['auth.User']"})
        },
        'organization.contactrole': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.field': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.office': {
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('StatusField', [], {})
        },
        'organization.organization': {
            'Meta': {'unique_together': "(('vat_number', 'ssn'),)"},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Field']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Office']", 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization_form': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.OrganizationForm']"}),
            'organization_group': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'to': "orm['organization.OrganizationGroup']", 'null': 'True', 'blank': 'True'}),
            'organization_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.OrganizationType']"}),
            'payment_form': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['payment.PaymentForm']", 'null': 'True', 'blank': 'True'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'vats'", 'null': 'True', 'to': "orm['organization.Vat']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'organization.organizationaddress': {
            'address_scopes': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['address.AddressScope']", 'db_index': 'True'}),
            'address_type': ('django.db.models.fields.IntegerField', [], {'default': '7', 'db_index': 'True'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'default': '108', 'to': "orm['l10n.Country']"}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'crossed': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'floor': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'locality': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'addresses'", 'to': "orm['organization.Organization']"}),
            'post_office': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('django.db.models.fields.CharField', [], {'max_length': '2', 'db_index': 'True'}),
            'scale': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'zip_code': ('django.db.models.fields.CharField', [], {'max_length': '5', 'db_index': 'True'})
        },
        'organization.organizationform': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationgroup': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationtype': {
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.vat': {
            'aliquot_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deduct_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'payment.paymentform': {
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['organization']
