# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.db.models import StatusField, HTMLField
#from address.models import _get_default_country
from organization.models import *
from address.models import *

def _get_default_country():
    pass

class Migration:
    depends_on = (
        ("l10n", "0001_initial"),
        ("payment", "0001_initial"),
        ("address", "0001_initial"),
    )

    def forwards(self, orm):
        # Adding model 'OrganizationGroup'
        db.create_table('organization_organizationgroup', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, unique=True, verbose_name=_("name"), db_index=True)),
        ))
        db.send_create_signal('organization', ['OrganizationGroup'])
        
        # Adding model 'OrganizationForm'
        db.create_table('organization_organizationform', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('description', models.CharField(db_index=True, max_length=100, verbose_name=_('description'), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, unique=True, verbose_name=_("name"), db_index=True)),
        ))
        db.send_create_signal('organization', ['OrganizationForm'])
        
        # Adding model 'Office'
        db.create_table('organization_office', (
            ('status', StatusField()),
            ('fax', models.CharField(max_length=20, verbose_name=_("fax"))),
            ('code', models.CharField(max_length=15, unique=True, verbose_name=_("code"))),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('description', models.TextField(max_length=255, null=True, verbose_name=_("description"), blank=True)),
            ('email', models.EmailField(verbose_name=_("email"), max_length=100, null=True, blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('phone', models.CharField(max_length=20, verbose_name=_("phone"))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=50, unique=True, verbose_name=_("office"))),
        ))
        db.send_create_signal('organization', ['Office'])
        
        # Adding model 'Bank'
        db.create_table('organization_bank', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('iban', models.CharField(max_length=30, verbose_name=_("code iban"), db_index=True)),
            ('organization', models.ForeignKey(orm.Organization, verbose_name=_("organization"))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('bank_account', models.CharField(max_length=12, verbose_name=_("bank account"), db_index=True)),
        ))
        db.send_create_signal('organization', ['Bank'])
        
        # Adding model 'Contact'
        db.create_table('organization_contact', (
            ('status', StatusField()),
            ('note', models.TextField(verbose_name=_("Note"), max_length=255, null=True, blank=True)),
            ('first_name', models.CharField(max_length=100, verbose_name=_("First Name"))),
            ('last_name', models.CharField(max_length=100, verbose_name=_("Last Name"))),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('mobile', models.CharField(verbose_name=_("Mobile"), max_length=20, null=True, blank=True)),
            ('fax', models.CharField(verbose_name=_("Fax"), max_length=20, null=True, blank=True)),
            ('email', models.EmailField(verbose_name=_("Email"), max_length=100, null=True, blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('phone', models.CharField(max_length=20, verbose_name=_("Phone"))),
            ('role', models.ForeignKey(orm.ContactRole, verbose_name=_("Title"))),
            ('user', models.OneToOneField(orm['auth.User'], db_index=True, related_name='contact', null=True, verbose_name=_("User"), blank=True)),
            ('organization', models.ForeignKey(orm.Organization, db_index=True, related_name='contacts', null=True, verbose_name=_("Organization"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
        ))
        db.send_create_signal('organization', ['Contact'])
        
        # Adding model 'Organization'
        db.create_table('organization_organization', (
            ('code', models.CharField(max_length=15, unique=True, verbose_name=_("code"), db_index=True)),
            ('office', models.ForeignKey(orm.Office, db_index=True, null=True, verbose_name=_("office"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('organization_form', models.ForeignKey(orm.OrganizationForm, verbose_name=_("Organization form"), db_index=True)),
            ('vat_number', models.CharField(db_index=True, verbose_name=_("vat_number"), max_length=11, null=True, blank=True)),
            ('id', models.AutoField(primary_key=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('note', models.TextField(null=True, verbose_name=_("note"), blank=True)),
            ('field', models.ForeignKey(orm.Field, db_index=True, null=True, verbose_name=_("Field"), blank=True)),
            ('email', models.EmailField(verbose_name=_("email"), max_length=100, null=True, blank=True)),
            ('status', StatusField()),
            ('fax', models.CharField(max_length=20, null=True, verbose_name=_("fax"), blank=True)),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('phone2', models.CharField(max_length=20, null=True, verbose_name=_("phone2"), blank=True)),
            ('brand', models.CharField(db_index=True, verbose_name=_("brand"), max_length=255, null=True, blank=True)),
            ('phone', models.CharField(max_length=20, verbose_name=_("phone"))),
            ('ssn', models.CharField(db_index=True, verbose_name=_("ssn"), max_length=16, null=True, blank=True)),
            ('name', models.CharField(max_length=100, verbose_name=_("name"), db_index=True)),
            ('payment_form', models.ForeignKey(orm['payment.PaymentForm'], db_index=True, null=True, verbose_name=_('Payment form'), blank=True)),
            ('url', models.URLField(verbose_name=_("url"), max_length=100, null=True, verify_exists=True, blank=True)),
            ('organization_type', models.ForeignKey(orm.OrganizationType, verbose_name=_("Organization type"), db_index=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
        ))
        db.send_create_signal('organization', ['Organization'])
        
        # Adding model 'OrganizationType'
        db.create_table('organization_organizationtype', (
            ('status', StatusField()),
            ('category', models.CharField(db_index=True, max_length=15, verbose_name=_("category"))),
            ('code', models.CharField(max_length=15, unique=True, verbose_name=_("code"), db_index=True)),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('description', models.TextField(null=True, verbose_name=_("description"), blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('note', models.TextField(null=True, verbose_name=_("note"), blank=True)),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, unique=True, verbose_name=_("name"), db_index=True)),
        ))
        db.send_create_signal('organization', ['OrganizationType'])
        
        # Adding model 'ContactRole'
        db.create_table('organization_contactrole', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, unique=True, verbose_name=_("name"), db_index=True)),
        ))
        db.send_create_signal('organization', ['ContactRole'])
        
        # Adding model 'OrganizationAddress'
        db.create_table('organization_organizationaddress', (
            ('status', StatusField()),
            ('province', models.CharField(max_length=2, verbose_name=_("province"), db_index=True)),
            ('scale', models.CharField(verbose_name=_("scale"), max_length=5, null=True, blank=True)),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('country', models.ForeignKey(orm['l10n.Country'], default=_get_default_country, verbose_name=_("country"), db_index=True)),
            ('floor', models.CharField(verbose_name=_("floor"), max_length=3, null=True, blank=True)),
            ('number', models.CharField(verbose_name=_("number"), max_length=10, null=True, blank=True)),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('crossed', models.CharField(verbose_name=_("crossed"), max_length=5, null=True, blank=True)),
            ('locality', models.CharField(max_length=100, verbose_name=_("locality"), db_index=True)),
            ('organization', models.ForeignKey(orm.Organization, related_name='addresses', verbose_name=_("organization"), db_index=True)),
            ('zip_code', models.CharField(max_length=5, verbose_name=_("zip code"), db_index=True)),
            ('post_office', models.CharField(verbose_name=_("post office"), max_length=10, null=True, blank=True)),
            ('address_type', models.IntegerField(default=7, db_index=True, verbose_name=_("address type"))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, verbose_name=_("name"), db_index=True)),
        ))
        db.send_create_signal('organization', ['OrganizationAddress'])
        
        # Adding model 'Field'
        db.create_table('organization_field', (
            ('status', StatusField()),
            ('last_modifier', HackForeignKey(orm['auth.User'], db_index=True, related_name='%(app_label)s_%(class)s_last_modifier', null=True, verbose_name=_("last modifier"), blank=True)),
            ('creator', HackForeignKey(orm['auth.User'], db_index=True, related_name="%(app_label)s_%(class)s_creator", null=True, verbose_name=_("creator"), blank=True)),
            ('ordering', models.IntegerField(default=0, verbose_name=_('ordering'))),
            ('date_create', models.DateTimeField(verbose_name=_('date create'))),
            ('date_last_modify', models.DateTimeField(verbose_name=_('date last modify'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=100, unique=True, verbose_name=_("name"), db_index=True)),
        ))
        db.send_create_signal('organization', ['Field'])
        
        # Adding ManyToManyField 'OrganizationAddress.address_scopes'
        db.create_table('organization_organizationaddress_address_scopes', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('organizationaddress', models.ForeignKey(OrganizationAddress, null=False)),
            ('addressscope', models.ForeignKey(AddressScope, null=False))
        ))
        
        # Adding ManyToManyField 'Organization.organization_group'
        db.create_table('organization_organization_organization_group', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('organization', models.ForeignKey(Organization, null=False)),
            ('organizationgroup', models.ForeignKey(OrganizationGroup, null=False))
        ))
        
        # Creating unique_together for [vat_number, ssn] on Organization.
        db.create_unique('organization_organization', ['vat_number', 'ssn'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'OrganizationGroup'
        db.delete_table('organization_organizationgroup')
        
        # Deleting model 'OrganizationForm'
        db.delete_table('organization_organizationform')
        
        # Deleting model 'Office'
        db.delete_table('organization_office')
        
        # Deleting model 'Bank'
        db.delete_table('organization_bank')
        
        # Deleting model 'Contact'
        db.delete_table('organization_contact')
        
        # Deleting model 'Organization'
        db.delete_table('organization_organization')
        
        # Deleting model 'OrganizationType'
        db.delete_table('organization_organizationtype')
        
        # Deleting model 'ContactRole'
        db.delete_table('organization_contactrole')
        
        # Deleting model 'OrganizationAddress'
        db.delete_table('organization_organizationaddress')
        
        # Deleting model 'Field'
        db.delete_table('organization_field')
        
        # Dropping ManyToManyField 'OrganizationAddress.address_scopes'
        db.delete_table('organization_organizationaddress_address_scopes')
        
        # Dropping ManyToManyField 'Organization.organization_group'
        db.delete_table('organization_organization_organization_group')
        
        # Deleting unique_together for [vat_number, ssn] on Organization.
        db.delete_unique('organization_organization', ['vat_number', 'ssn'])
        
    
    
    models = {
        'organization.organizationgroup': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'l10n.country': {
            'Meta': {'ordering': "('iso2_code','name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'payment.paymentform': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organizationform': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.CharField', [], {'db_index': 'True', 'max_length': '100', 'verbose_name': "_('description')", 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'organization.office': {
            'code': ('models.CharField', [], {'max_length': '15', 'unique': 'True', 'verbose_name': '_("code")'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'max_length': '255', 'null': 'True', 'verbose_name': '_("description")', 'blank': 'True'}),
            'email': ('models.EmailField', [], {'verbose_name': '_("email")', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("fax")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '50', 'unique': 'True', 'verbose_name': '_("office")'}),
            'phone': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("phone")'}),
            'status': ('StatusField', [], {})
        },
        'organization.bank': {
            'bank_account': ('models.CharField', [], {'max_length': '12', 'verbose_name': '_("bank account")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'iban': ('models.CharField', [], {'max_length': '30', 'verbose_name': '_("code iban")', 'db_index': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'verbose_name': '_("organization")'}),
            'status': ('StatusField', [], {})
        },
        'organization.contact': {
            'Meta': {'permissions': '(("can_view_contacts","Can view contacts"),)'},
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'email': ('models.EmailField', [], {'verbose_name': '_("Email")', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('models.CharField', [], {'verbose_name': '_("Fax")', 'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("First Name")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'last_name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Last Name")'}),
            'mobile': ('models.CharField', [], {'verbose_name': '_("Mobile")', 'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('models.TextField', [], {'verbose_name': '_("Note")', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'db_index': 'True', 'related_name': "'contacts'", 'null': 'True', 'verbose_name': '_("Organization")', 'blank': 'True'}),
            'phone': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("Phone")'}),
            'role': ('models.ForeignKey', ['ContactRole'], {'verbose_name': '_("Title")'}),
            'status': ('StatusField', [], {}),
            'user': ('models.OneToOneField', ['User'], {'db_index': 'True', 'related_name': "'contact'", 'null': 'True', 'verbose_name': '_("User")', 'blank': 'True'})
        },
        'organization.organization': {
            'Meta': {'unique_together': '(("vat_number","ssn",),)', 'permissions': '(("can_view_organizations","Can view organizations"),)'},
            'brand': ('models.CharField', [], {'db_index': 'True', 'verbose_name': '_("brand")', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('models.CharField', [], {'max_length': '15', 'unique': 'True', 'verbose_name': '_("code")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'email': ('models.EmailField', [], {'verbose_name': '_("email")', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('models.CharField', [], {'max_length': '20', 'null': 'True', 'verbose_name': '_("fax")', 'blank': 'True'}),
            'field': ('models.ForeignKey', ['"Field"'], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("Field")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("note")', 'blank': 'True'}),
            'office': ('models.ForeignKey', ['Office'], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("office")', 'blank': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'organization_form': ('models.ForeignKey', ['"OrganizationForm"'], {'verbose_name': '_("Organization form")', 'db_index': 'True'}),
            'organization_group': ('models.ManyToManyField', ['"OrganizationGroup"'], {'db_index': 'True', 'related_name': '"group"', 'null': 'True', 'verbose_name': '_("group")', 'blank': 'True'}),
            'organization_type': ('models.ForeignKey', ['"OrganizationType"'], {'verbose_name': '_("Organization type")', 'db_index': 'True'}),
            'payment_form': ('models.ForeignKey', ['PaymentForm'], {'db_index': 'True', 'null': 'True', 'verbose_name': "_('Payment form')", 'blank': 'True'}),
            'phone': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("phone")'}),
            'phone2': ('models.CharField', [], {'max_length': '20', 'null': 'True', 'verbose_name': '_("phone2")', 'blank': 'True'}),
            'ssn': ('models.CharField', [], {'db_index': 'True', 'verbose_name': '_("ssn")', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'url': ('models.URLField', [], {'verbose_name': '_("url")', 'max_length': '100', 'null': 'True', 'verify_exists': 'True', 'blank': 'True'}),
            'vat_number': ('models.CharField', [], {'db_index': 'True', 'verbose_name': '_("vat_number")', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'address.addressscope': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organizationtype': {
            'category': ('models.CharField', [], {'db_index': 'True', 'max_length': '15', 'verbose_name': '_("category")'}),
            'code': ('models.CharField', [], {'max_length': '15', 'unique': 'True', 'verbose_name': '_("code")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("note")', 'blank': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'organization.contactrole': {
            'Meta': {'ordering': "('name',)"},
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationaddress': {
            'address_scopes': ('models.ManyToManyField', ['AddressScope'], {'verbose_name': '_("address scopes")', 'db_index': 'True'}),
            'address_type': ('models.IntegerField', [], {'default': '7', 'db_index': 'True', 'verbose_name': '_("address type")'}),
            'country': ('models.ForeignKey', ['Country'], {'default': '_get_default_country', 'verbose_name': '_("country")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'crossed': ('models.CharField', [], {'verbose_name': '_("crossed")', 'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'floor': ('models.CharField', [], {'verbose_name': '_("floor")', 'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'locality': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("locality")', 'db_index': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'number': ('models.CharField', [], {'verbose_name': '_("number")', 'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['"Organization"'], {'related_name': "'addresses'", 'verbose_name': '_("organization")', 'db_index': 'True'}),
            'post_office': ('models.CharField', [], {'verbose_name': '_("post office")', 'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('models.CharField', [], {'max_length': '2', 'verbose_name': '_("province")', 'db_index': 'True'}),
            'scale': ('models.CharField', [], {'verbose_name': '_("scale")', 'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'zip_code': ('models.CharField', [], {'max_length': '5', 'verbose_name': '_("zip code")', 'db_index': 'True'})
        },
        'organization.field': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['organization']
