# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from organization.models import *
from django.contrib.auth.models import *
from django.contrib.contenttypes.models import *
from address.models import _get_default_country
from jumbo.db.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding field 'Contact.code'
        db.add_column('organization_contact', 'code', models.CharField(blank=True, verbose_name=_("code"), max_length=15, null=True, db_index=True))
        
    
    
    def backwards(self, orm):
        
        # Deleting field 'Contact.code'
        db.delete_column('organization_contact', 'code')
        
    
    
    models = {
        'organization.organizationgroup': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'l10n.country': {
            'Meta': {'ordering': "('iso2_code','name',)"},
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'auth.user': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'payment.paymentform': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organizationform': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.CharField', [], {'db_index': 'True', 'max_length': '100', 'verbose_name': "_('description')", 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'organization.office': {
            'code': ('models.CharField', [], {'max_length': '15', 'unique': 'True', 'verbose_name': '_("code")'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'max_length': '255', 'null': 'True', 'verbose_name': '_("description")', 'blank': 'True'}),
            'email': ('models.EmailField', [], {'verbose_name': '_("email")', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("fax")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '50', 'unique': 'True', 'verbose_name': '_("office")'}),
            'phone': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("phone")'}),
            'status': ('StatusField', [], {})
        },
        'organization.bank': {
            'bank_account': ('models.CharField', [], {'max_length': '12', 'verbose_name': '_("bank account")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'iban': ('models.CharField', [], {'max_length': '30', 'verbose_name': '_("code iban")', 'db_index': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'verbose_name': '_("organization")'}),
            'status': ('StatusField', [], {})
        },
        'organization.contact': {
            'Meta': {'permissions': '(("can_view_contacts","Can view contacts"),)'},
            'code': ('models.CharField', [], {'blank': 'True', 'verbose_name': '_("code")', 'max_length': '15', 'null': 'True', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'email': ('models.EmailField', [], {'verbose_name': '_("Email")', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('models.CharField', [], {'verbose_name': '_("Fax")', 'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("First Name")'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'last_name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("Last Name")'}),
            'mobile': ('models.CharField', [], {'verbose_name': '_("Mobile")', 'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('models.TextField', [], {'verbose_name': '_("Note")', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['Organization'], {'db_index': 'True', 'related_name': "'contacts'", 'null': 'True', 'verbose_name': '_("Organization")', 'blank': 'True'}),
            'phone': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("Phone")'}),
            'role': ('models.ForeignKey', ['ContactRole'], {'verbose_name': '_("Title")'}),
            'status': ('StatusField', [], {}),
            'user': ('models.OneToOneField', ['User'], {'db_index': 'True', 'related_name': "'contact'", 'null': 'True', 'verbose_name': '_("User")', 'blank': 'True'})
        },
        'organization.organization': {
            'Meta': {'unique_together': '(("vat_number","ssn",),)', 'permissions': '(("can_view_organizations","Can view organizations"),)'},
            'brand': ('models.CharField', [], {'db_index': 'True', 'verbose_name': '_("brand")', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('models.CharField', [], {'max_length': '15', 'unique': 'True', 'verbose_name': '_("code")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'email': ('models.EmailField', [], {'verbose_name': '_("email")', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('models.CharField', [], {'max_length': '20', 'null': 'True', 'verbose_name': '_("fax")', 'blank': 'True'}),
            'field': ('models.ForeignKey', ['"Field"'], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("Field")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("note")', 'blank': 'True'}),
            'office': ('models.ForeignKey', ['Office'], {'db_index': 'True', 'null': 'True', 'verbose_name': '_("office")', 'blank': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'organization_form': ('models.ForeignKey', ['"OrganizationForm"'], {'verbose_name': '_("Organization form")', 'db_index': 'True'}),
            'organization_group': ('models.ManyToManyField', ['"OrganizationGroup"'], {'db_index': 'True', 'related_name': '"group"', 'null': 'True', 'verbose_name': '_("group")', 'blank': 'True'}),
            'organization_type': ('models.ForeignKey', ['"OrganizationType"'], {'verbose_name': '_("Organization type")', 'db_index': 'True'}),
            'payment_form': ('models.ForeignKey', ['PaymentForm'], {'db_index': 'True', 'null': 'True', 'verbose_name': "_('Payment form')", 'blank': 'True'}),
            'phone': ('models.CharField', [], {'max_length': '20', 'verbose_name': '_("phone")'}),
            'phone2': ('models.CharField', [], {'max_length': '20', 'null': 'True', 'verbose_name': '_("phone2")', 'blank': 'True'}),
            'ssn': ('models.CharField', [], {'db_index': 'True', 'verbose_name': '_("ssn")', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'url': ('models.URLField', [], {'verbose_name': '_("url")', 'max_length': '100', 'null': 'True', 'verify_exists': 'True', 'blank': 'True'}),
            'vat_number': ('models.CharField', [], {'db_index': 'True', 'verbose_name': '_("vat_number")', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'address.addressscope': {
            '_stub': True,
            'id': ('models.AutoField', [], {'primary_key': 'True'})
        },
        'organization.organizationtype': {
            'category': ('models.CharField', [], {'db_index': 'True', 'max_length': '15', 'verbose_name': '_("category")'}),
            'code': ('models.CharField', [], {'max_length': '15', 'unique': 'True', 'verbose_name': '_("code")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'description': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("description")', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'note': ('models.TextField', [], {'null': 'True', 'verbose_name': '_("note")', 'blank': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'organization.contactrole': {
            'Meta': {'ordering': "('name',)"},
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationaddress': {
            'address_scopes': ('models.ManyToManyField', ['AddressScope'], {'verbose_name': '_("address scopes")', 'db_index': 'True'}),
            'address_type': ('models.IntegerField', [], {'default': '7', 'db_index': 'True', 'verbose_name': '_("address type")'}),
            'country': ('models.ForeignKey', ['Country'], {'default': '_get_default_country', 'verbose_name': '_("country")', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'crossed': ('models.CharField', [], {'verbose_name': '_("crossed")', 'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'floor': ('models.CharField', [], {'verbose_name': '_("floor")', 'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'locality': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("locality")', 'db_index': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'number': ('models.CharField', [], {'verbose_name': '_("number")', 'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'organization': ('models.ForeignKey', ['"Organization"'], {'related_name': "'addresses'", 'verbose_name': '_("organization")', 'db_index': 'True'}),
            'post_office': ('models.CharField', [], {'verbose_name': '_("post office")', 'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('models.CharField', [], {'max_length': '2', 'verbose_name': '_("province")', 'db_index': 'True'}),
            'scale': ('models.CharField', [], {'verbose_name': '_("scale")', 'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'zip_code': ('models.CharField', [], {'max_length': '5', 'verbose_name': '_("zip code")', 'db_index': 'True'})
        },
        'organization.field': {
            'creator': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'verbose_name': '_("creator")', 'blank': 'True'}),
            'date_create': ('models.DateTimeField', [], {'verbose_name': "_('date create')"}),
            'date_last_modify': ('models.DateTimeField', [], {'verbose_name': "_('date last modify')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ['User'], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'verbose_name': '_("last modifier")', 'blank': 'True'}),
            'name': ('models.CharField', [], {'max_length': '100', 'unique': 'True', 'verbose_name': '_("name")', 'db_index': 'True'}),
            'ordering': ('models.IntegerField', [], {'default': '0', 'verbose_name': "_('ordering')"}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['organization']
