# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from organization.models import *
from jumbo.db import HackForeignKey

from jumbo.db.models import StatusField, HTMLField

def _get_default_country():
    pass

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Vat'
        db.create_table('organization_vat', (
            ('id', orm['organization.vat:id']),
            ('date_create', orm['organization.vat:date_create']),
            ('date_last_modify', orm['organization.vat:date_last_modify']),
            ('status', orm['organization.vat:status']),
            ('ordering', orm['organization.vat:ordering']),
            ('creator', orm['organization.vat:creator']),
            ('last_modifier', orm['organization.vat:last_modifier']),
            ('code', orm['organization.vat:code']),
            ('name', orm['organization.vat:name']),
            ('description', orm['organization.vat:description']),
            ('aliquot_perc', orm['organization.vat:aliquot_perc']),
            ('deduct_perc', orm['organization.vat:deduct_perc']),
        ))
        db.send_create_signal('organization', ['Vat'])
        
        # Adding field 'Organization.vat'
        db.add_column('organization_organization', 'vat', orm['organization.organization:vat'])
        
        # Changing field 'Bank.organization'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.Organization']))
        db.alter_column('organization_bank', 'organization_id', orm['organization.bank:organization'])
        
        # Changing field 'Contact.role'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.ContactRole']))
        db.alter_column('organization_contact', 'role_id', orm['organization.contact:role'])
        
        # Changing field 'Contact.organization'
        # (to signature: django.db.models.fields.related.ForeignKey(blank=True, null=True, to=orm['organization.Organization']))
        db.alter_column('organization_contact', 'organization_id', orm['organization.contact:organization'])
        
        # Changing field 'Organization.office'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.Office'], null=True, blank=True))
        db.alter_column('organization_organization', 'office_id', orm['organization.organization:office'])
        
        # Changing field 'Organization.organization_form'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.OrganizationForm']))
        db.alter_column('organization_organization', 'organization_form_id', orm['organization.organization:organization_form'])
        
        # Changing field 'Organization.field'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.Field'], null=True, blank=True))
        db.alter_column('organization_organization', 'field_id', orm['organization.organization:field'])
        
        # Changing field 'Organization.payment_form'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['payment.PaymentForm'], null=True, blank=True))
        db.alter_column('organization_organization', 'payment_form_id', orm['organization.organization:payment_form'])
        
        # Changing field 'Organization.organization_type'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.OrganizationType']))
        db.alter_column('organization_organization', 'organization_type_id', orm['organization.organization:organization_type'])
        
        # Changing field 'OrganizationAddress.country'
        # (to signature: django.db.models.fields.related.ForeignKey(default=<Country: Italy>, to=orm['l10n.Country']))
        db.alter_column('organization_organizationaddress', 'country_id', orm['organization.organizationaddress:country'])
        
        # Changing field 'OrganizationAddress.organization'
        # (to signature: django.db.models.fields.related.ForeignKey(to=orm['organization.Organization']))
        db.alter_column('organization_organizationaddress', 'organization_id', orm['organization.organizationaddress:organization'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Vat'
        db.delete_table('organization_vat')
        
        # Deleting field 'Organization.vat'
        db.delete_column('organization_organization', 'vat_id')
        
        # Changing field 'Bank.organization'
        # (to signature: models.ForeignKey(orm['organization.Organization']))
        db.alter_column('organization_bank', 'organization_id', orm['organization.bank:organization'])
        
        # Changing field 'Contact.role'
        # (to signature: models.ForeignKey(orm['organization.ContactRole']))
        db.alter_column('organization_contact', 'role_id', orm['organization.contact:role'])
        
        # Changing field 'Contact.organization'
        # (to signature: models.ForeignKey(orm['organization.Organization'], blank=True, null=True, db_index=True))
        db.alter_column('organization_contact', 'organization_id', orm['organization.contact:organization'])
        
        # Changing field 'Organization.office'
        # (to signature: models.ForeignKey(orm['organization.Office'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'office_id', orm['organization.organization:office'])
        
        # Changing field 'Organization.organization_form'
        # (to signature: models.ForeignKey(orm['organization.OrganizationForm'], db_index=True))
        db.alter_column('organization_organization', 'organization_form_id', orm['organization.organization:organization_form'])
        
        # Changing field 'Organization.field'
        # (to signature: models.ForeignKey(orm['organization.Field'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'field_id', orm['organization.organization:field'])
        
        # Changing field 'Organization.payment_form'
        # (to signature: models.ForeignKey(orm['payment.PaymentForm'], blank=True, null=True, db_index=True))
        db.alter_column('organization_organization', 'payment_form_id', orm['organization.organization:payment_form'])
        
        # Changing field 'Organization.organization_type'
        # (to signature: models.ForeignKey(orm['organization.OrganizationType'], db_index=True))
        db.alter_column('organization_organization', 'organization_type_id', orm['organization.organization:organization_type'])
        
        # Changing field 'OrganizationAddress.country'
        # (to signature: models.ForeignKey(orm['l10n.Country'], default=_get_default_country, db_index=True))
        db.alter_column('organization_organizationaddress', 'country_id', orm['organization.organizationaddress:country'])
        
        # Changing field 'OrganizationAddress.organization'
        # (to signature: models.ForeignKey(orm['organization.Organization'], db_index=True))
        db.alter_column('organization_organizationaddress', 'organization_id', orm['organization.organizationaddress:organization'])
        
    
    
    models = {
        'address.addressscope': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'l10n.country': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'admin_area': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'continent': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iso2_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '2', 'db_index': 'True'}),
            'iso3_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'numcode': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printable_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'})
        },
        'organization.bank': {
            'bank_account': ('django.db.models.fields.CharField', [], {'max_length': '12', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'iban': ('django.db.models.fields.CharField', [], {'max_length': '30', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'banks'", 'to': "orm['organization.Organization']"}),
            'status': ('StatusField', [], {})
        },
        'organization.contact': {
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': "orm['organization.Organization']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.ContactRole']"}),
            'status': ('StatusField', [], {}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'blank': 'True', 'related_name': "'contact'", 'unique': 'True', 'null': 'True', 'to': "orm['auth.User']"})
        },
        'organization.contactrole': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.field': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.office': {
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('StatusField', [], {})
        },
        'organization.organization': {
            'Meta': {'unique_together': "(('vat_number', 'ssn'),)"},
            'brand': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'field': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Field']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_addressbook': ('django.db.models.fields.NullBooleanField', [], {'null': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.Office']", 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'organization_form': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.OrganizationForm']"}),
            'organization_group': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'to': "orm['organization.OrganizationGroup']", 'null': 'True', 'blank': 'True'}),
            'organization_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['organization.OrganizationType']"}),
            'payment_form': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['payment.PaymentForm']", 'null': 'True', 'blank': 'True'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'phone2': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ssn': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'vat': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'vats'", 'null': 'True', 'to': "orm['organization.Vat']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'organization.organizationaddress': {
            'address_scopes': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['address.AddressScope']", 'db_index': 'True'}),
            'address_type': ('django.db.models.fields.IntegerField', [], {'default': '7', 'db_index': 'True'}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'default': '_get_default_country', 'to': "orm['l10n.Country']"}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'crossed': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'floor': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'locality': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'organization': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'addresses'", 'to': "orm['organization.Organization']"}),
            'post_office': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('django.db.models.fields.CharField', [], {'max_length': '2', 'db_index': 'True'}),
            'scale': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('StatusField', [], {}),
            'zip_code': ('django.db.models.fields.CharField', [], {'max_length': '5', 'db_index': 'True'})
        },
        'organization.organizationform': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationgroup': {
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.organizationtype': {
            'category': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'organization.vat': {
            'aliquot_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deduct_perc': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '4', 'decimal_places': '2'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        },
        'payment.paymentform': {
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15', 'db_index': 'True'}),
            'creator': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': '"%(app_label)s_%(class)s_creator"', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'discount': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'fee': ('django.db.models.fields.DecimalField', [], {'default': '0.0', 'max_digits': '9', 'decimal_places': '2'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('HackForeignKey', ["orm['auth.User']"], {'db_index': 'True', 'related_name': "'%(app_label)s_%(class)s_last_modifier'", 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('StatusField', [], {})
        }
    }
    
    complete_apps = ['organization']
