import os
from django.conf import settings

ORGANIZATION_MEDIA_ROOT = getattr(settings, 'ORGANIZATION_MEDIA_ROOT', os.path.split(os.path.realpath(__file__))[0]+'/static/')
ORGANIZATION_MEDIA_URL = getattr(settings, 'ORGANIZATION_MEDIA_URL', settings.MEDIA_URL + 'organization/')

# Questo settings serve pre capire se l'utente a cui e' stato installata l'anagrafica abbia o meni
# i telefoni sip su cui si possono salvare i numeri in ribrica da un file xml
HAS_SIPPHONE = getattr(settings, 'HAS_SIPPHONE', False)

# Directory (comprensiva del nome del file) dove verra' salvato il file xml con le anagrafiche da far caricare a tutti i telefoni
PATH_ADDRESSBOOK = getattr(settings, 'PATH_ADDRESSBOOK', '/tmp/')

CONTACT_PHOTO = getattr(settings, 'CONTACT_PHOTO', settings.MEDIA_URL + 'images/contact_photos/')

# serve per definire come salvare i campi
# i valori ammessi sono:
# - non definito o errato = non viene modificato il valore del campo
# - 'title' = tutto minuscolo con iniziali maiscole
# - 'lower' = tutto minuscolo
# - 'upper' = tutto maiuscolo
ORGANIZATION_NAME_STYLE = getattr(settings, 'ORGANIZATION_NAME_STYLE', 'upper')
CONTACT_NAME_STYLE = getattr(settings, 'CONTACT_NAME_STYLE', 'title')