from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def get_root_menu(children):
    user = get_current_user()
    if not user.has_perm("payment.view_paymentform") and not user.has_perm("payment.view_paymentinstallment"):
        return None

    root_menu = items.MenuItem(
        title=_('Payments'),
        children=[],
        url = reverse('admin:payment_paymentform_changelist')
    )
    children.append(root_menu)

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem(current_app, [])
    user = get_current_user()

    list_paymentform = items.MenuItem(
        title=_('List Payment Forms'),
        children=[],
        url = reverse('admin:payment_paymentform_changelist')
    )

    add_paymentform = items.MenuItem(
        title=_('Add Payment Form'),
        children=[],
        url = reverse('admin:payment_paymentform_add')
    )

    paymentform = items.MenuItem(
        title=_('Payment Forms'),
        children=[],
        url = reverse('admin:payment_paymentform_changelist')
    )

    if user.has_perm("payment.add_paymentform"):
        paymentform.children.append(add_paymentform)
    if user.has_perm("payment.view_paymentform"):
        paymentform.children.append(list_paymentform)
        gm.add_father(paymentform)


    list_paymentinstallment= items.MenuItem(
        title=_('List Payment Installments'),
        children=[],
        url = reverse('admin:payment_paymentinstallment_changelist')
    )

    add_paymentinstallment = items.MenuItem(
        title=_('Add Payment Installment'),
        children=[],
        url = reverse('admin:payment_paymentinstallment_add')
    )

    paymentinstallment = items.MenuItem(
        title=_('Payment Installments'),
        children=[],
        url = reverse('admin:payment_paymentinstallment_changelist')
    )

    if user.has_perm("payment.add_paymentinstallment"):
        paymentinstallment.children.append(add_paymentinstallment)
    if user.has_perm("payment.view_paymentinstallment"):
        paymentinstallment.children.append(list_paymentinstallment)
        gm.add_father(paymentinstallment)

    menu = gm.get_menu()
    [ children.append(pay_menu) for pay_menu in menu ]